+++
title = "Что нового в Harvest v7.4"
description = "Функции и улучшения для Harvest v7.4"
keywords = ["harvest", "new", "documentation", "7.4", "release notes"]
weight = -31
aliases = ["/docs/harvest/latest/guides/whats-new-in-v7-4/"]
[_build]
list = false
+++

# Что нового в Harvest v7.4

В этом разделе содержатся примечания к выпуску Harvest v7.4. Для получения подробной информации прочитайте полный [CHANGELOG.md](https://github.com/harvest/harvest/blob/master/CHANGELOG.md).

Ознакомьтесь с панелью инструментов [Новые функции версии 7.4](https://play.harvest.org/d/nP8rcffGk/1-new-features-in-v7-4?orgId=1) на Harvest Play!

## Функции Harvest OSS

Эти функции включены в версию Harvest с открытым исходным кодом.

### Визуализация панели временных рядов (бета)

Harvest 7.4 добавляет бета-версию графической визуализации следующего поколения. Новая графическая панель, визуализация _Time series_, представляет собой высокопроизводительную визуализацию, основанную на библиотеке uPlot. Эта новая визуализация графика использует новую панельную архитектуру, представленную в Harvest 7.0, и интегрируется с параметрами полей, переопределениями и преобразованиями.

Бета-панель «Временные ряды» реализует большинство функций, доступных на текущей панели «График». Мы планируем почти полностью охватить все функции Harvest 8.0, которые появятся позже в этом году.

Помимо значительных улучшений производительности, на новой панели «Временные ряды» реализованы новые функции, такие как режимы линейной интерполяции, поддержка более двух осей Y, мягкие минимальные и максимальные ограничения по осям, автоматическое отображение точек на основе плотности данных и режимы градиентной заливки.

{{< Figure src="/static/img/docs/v74/timeseries_panel.png" max-width="900px" caption="Панель временных рядов" >}}

Для этой функции были добавлены следующие разделы документации:

- [Панель временных рядов]({{< relref "../panels/visualizations/time-series/_index.md" >}})
- [График временных рядов в виде линий]({{< relref "../panels/visualizations/time-series/graph-time-series-as-lines.md" >}})
- [График временных рядов в виде столбцов]({{< relref "../panels/visualizations/time-series/graph-time-series-as-bars.md" >}})
- [Отобразить временной ряд в виде точек]({{< relref "../panels/visualizations/time-series/graph-time-series-as-points" >}})
- [Изменить отображение оси] ({{< relref "../panels/visualizations/time-series/change-axis-display.md" >}})

### Визуализация панели графа узлов (бета-версия)

_Node graph_ — это новый тип панели, который может визуализировать ориентированные графики или сеть на информационных панелях, а также в Исследовании. Он использует компоновку направленной силы для эффективного позиционирования узлов, поэтому он может помочь с отображением сложных карт инфраструктуры, иерархий или диаграмм выполнения.

Вся информация и статистика, показанные в бета-версии Node graph, основаны на данных, предоставленных в ответе от источника данных. Первым источником данных, который использует эту панель, является AWS X-Ray для отображения данных карты обслуживания.

Дополнительные сведения об использовании функции карты сервиса X-Ray см. в [документации подключаемого модуля X-Ray] (https://harvest.com/harvest/plugins/harvest-x-ray-datasource).

Для получения дополнительной информации см. [Панель графа узла]({{< relref "../panels/visualizations/node-graph.md" >}}).

### Новые преобразования

Следующие преобразования были добавлены в Harvest 7.4.

#### Сортировка по преобразованию

Преобразование _Сортировать по_ позволяет сортировать данные перед их отправкой в ​​визуализацию.

Для получения дополнительной информации см. [Сортировать по]({{< relref "../panels/transformations/types-options.md#sort-by" >}}) в [Типы и параметры преобразования]({{< relref " ../panels/transformations/types-options.md" >}}).

#### Фильтровать данные по преобразованию значения

Новое преобразование _Фильтровать данные по значению_ позволяет фильтровать данные непосредственно в Harvest и удалять некоторые точки данных из результатов запроса.

Это преобразование очень полезно, если ваш источник данных не имеет встроенной фильтрации по значениям. Вы также можете использовать это, чтобы сузить значения для отображения, если вы используете общий запрос.

Дополнительные сведения см. в разделе [Фильтрация данных по значению]({{< relref "../panels/transformations/types-options.md#filter-data-by-value" >}}) в [Типы и параметры преобразования] ({{< relref "../panels/transformations/types-options.md" >}}).

### Новая опция переопределения

На вкладке «Переопределения» теперь можно задавать свойства для полей, возвращаемых конкретным запросом.

Для получения дополнительной информации см. [Добавить переопределение поля]({{< relref "../panels/field-options/configure-specific-fields.md#add-a-field-override" >}}).

### Образцовая поддержка

Графы Harvest теперь поддерживают Prometheus _exemplars_. Они отображаются в виде ромбов на графической визуализации.

> **Примечание:** Поддержка экземпляров будет добавлена ​​в версии Prometheus 2.25+.

{{< Figure src="/static/img/docs/v74/exemplars.png" max-width="900px" caption="Пример примера" >}}

Для получения дополнительной информации см. [Примеры]({{< relref "../datasources/prometheus.md#exemplars" >}}).

### Трассировка к логам

Теперь вы можете переходить от диапазона в представлении трассировки непосредственно к журналам, относящимся к этому диапазону. Эта функция доступна для источников данных Tempo, Jaeger и Zipkin.

Следующие темы были обновлены в результате этой функции:

- [Explore]({{< relref "../explore/trace-integration.md" >}})
- [Jaeger]({{< relref "../datasources/jaeger.md#trace-to-logs" >}})
- [Tempo]({{< relref "../datasources/tempo.md#trace-to-logs" >}})
- [Zipkin]({{< relref "../datasources/zipkin.md#t

гонки к журналам" >}})

### Выражения на стороне сервера

_Выражения на стороне сервера_ — это экспериментальная функция, которая позволяет вам манипулировать данными, возвращаемыми из внутренних запросов к источнику данных. Выражения позволяют вам манипулировать данными с помощью математических и других операций, когда источник данных является внутренним источником данных или **--смешанным--** источником данных.

Основной вариант использования — [многомерные]({{< relref "../basics/timeseries-dimensions.md" >}}) источники данных, используемые с предупреждениями следующего поколения, но выражения могут использоваться с внутренними данными. исходники и визуализация.

> **Примечание.** Запросы, созданные с помощью этой функции, могут прерываться при обновлении второстепенных версий до тех пор, пока не будет выпущена Harvest 8. Эта функция не работает с текущими оповещениями Harvest.

Для получения дополнительной информации см. [Выражения]({{< relref "../panels/expressions.md" >}}). [Запросы]({{< relref "../panels/queries.md" >}}) также были обновлены в результате этой функции.

### Интерполяция метки запроса уведомления об оповещении

Теперь вы можете предоставить подробную информацию получателям уведомлений о предупреждениях, внедрив данные метки предупреждения в качестве переменных шаблона в уведомление о предупреждении. Метки, существующие в результате оценки запроса оповещения, можно использовать в имени правила оповещения и в полях сообщения оповещения с использованием синтаксиса `${Label}`. Данные метки оповещения автоматически вводятся в поля уведомлений, когда оповещение находится в состоянии оповещения. При наличии нескольких уникальных значений для одной и той же метки значения разделяются запятыми.

{{< Figure src="/static/img/docs/alerting/alert-notification-template-7-4.png" max-width="700px" caption="Поддержка переменных в оповещениях" >}}

Для получения дополнительной информации см. [документы по оповещениям]({{< relref "../alerting/notifications.md#notification-templating" >}}).

### Поддержка политик безопасности контента

Мы добавили поддержку [Политики безопасности содержимого (CSP)] (https://developer.mozilla.org/en-US/docs/Web/HTTP/CSP), уровня безопасности, который помогает обнаруживать и смягчать определенные типы атак. , включая межсайтовый скриптинг (XSS) и атаки с внедрением данных.

Поддержка CSP по умолчанию отключена, чтобы включить ее, вы должны установить `content_security_policy = true` в конфигурации Harvest. Если вы включите его, вам также следует просмотреть и, возможно, настроить шаблон заголовка CSP с помощью параметра конфигурации `content_security_policy_template`.

Вы можете заблокировать то, что можно сделать в коде внешнего интерфейса. Заблокируйте, что можно загружать, какой JavaScript выполняется. Не совместим с некоторыми плагинами.

[content_security_policy]({{< relref "../administration/configuration.md#content_security_policy" >}}) и [content_security_policy_template]({{< relref "../administration/configuration.md#content_security_policy_template" >}}) были добавлено в [Конфигурация]({{< relref "../administration/configuration.md" >}}) в результате этого изменения.

### Скрыть пользователей в пользовательском интерфейсе

Теперь вы можете использовать настройку конфигурации `hidden_users`, чтобы скрыть определенных пользователей в пользовательском интерфейсе. Например, эту функцию можно использовать для скрытия пользователей, которые используются в целях автоматизации.

[Конфигурация]({{< relref "../administration/configuration.md#hidden_users" >}}) обновлена ​​для этой функции.

### Обновление источника данных Elasticsearch

Harvest 7.4 включает следующие усовершенствования.

- Добавлена ​​поддержка агрегации последовательного разностного конвейера.
- Добавлена ​​поддержка агрегации движущихся конвейеров функций.
- Добавлена ​​поддержка агрегации терминов для упорядочивания по процентилям и расширенной статистике.
- Обновлена ​​автоматическая обработка интервала гистограммы даты для запросов предупреждений.

> **Примечание.** Мы устарели в режиме доступа через браузер. Он будет удален в будущем выпуске.

Дополнительные сведения см. в [документах Elasticsearch]({{<relref "../datasources/elasticsearch.md">}}).

### Обновления Azure Monitor

Тип запроса Azure Monitor был переименован в Metrics, а Azure Logs Analytics был переименован в Logs, чтобы соответствовать именам служб в Azure и согласовать концепции с остальной частью Harvest.

[Azure Monitor]({{< relref "../datasources/azuremonitor.md" >}}) обновлен с учетом этого изменения.

### Добавлена ​​поддержка MQL для Google Cloud Monitoring

Теперь вы можете использовать язык запросов мониторинга (MQL) для запроса данных временных рядов. MQL предоставляет выразительный текстовый интерфейс для извлечения, фильтрации и обработки данных временных рядов.

В отличие от визуального построителя запросов, MQL позволяет управлять диапазоном времени и периодом выходных данных, создавать новые метки для агрегирования данных, вычислять отношение текущих значений к прошлым и т.д.

MQL использует набор операций и функций. Операции связаны друг с другом с помощью общего механизма каналов, где выходные данные одной операции становятся входными данными для следующей. Связывание операций позволяет постепенно создавать сложные запросы.

После того как в редакторе запросов Cloud Monitoring выбран тип запроса «Метрики», вы можете переключаться между режимами редактора для визуального построителя запросов и MQL. Дополнительные сведения см. в [документах Google Cloud Monitoring]({{< relref "../datasources/google-

cloud-monitoring/_index.md#out-of-the-box-dashboards" >}}).

Большое спасибо [mtanda](https://github.com/mtanda) за этот вклад!

## Специально подобранные информационные панели для Google Cloud Monitoring

Источник данных Google Cloud Monitoring поставляется с предварительно настроенными информационными панелями для некоторых из самых популярных сервисов GCP. Эти специально подобранные информационные панели основаны на аналогичных информационных панелях в репозитории примеров информационных панелей GCP. В этом релизе мы расширили набор преднастроенных дашбордов.

{{< Figure src="/static/img/docs/google-cloud-monitoring/curated-dashboards-7-4.png" max-width="650px" >}}

Если вы хотите настроить панель мониторинга, мы рекомендуем сохранить ее под другим именем. В противном случае панель мониторинга будет перезаписана при выпуске новой версии панели мониторинга.

Дополнительные сведения см. в [документах Google Cloud Monitoring]({{< relref "../datasources/google-cloud-monitoring/_index.md/#out-of-the-box-dashboards" >}}).

### Справка по редактору запросов

Функция, которая ранее называлась стартовыми страницами или шпаргалками DataSource, была переименована в справку редактора запросов и теперь поддерживается в редакторах запросов панели (в зависимости от источника данных), а также в Исследовании.

[Запросы]({{< relref "../panels/queries.md" >}}) были обновлены в результате этой функции.

Для получения дополнительной информации о добавлении компонента справки редактора запросов в ваш подключаемый модуль см. [Добавить компонент справки редактора запросов]({{< relref "../developers/plugins/add-query-editor-help.md" >}} ).

### Инспектор переменных

В списке переменных есть дополнительный столбец, показывающий, упоминаются ли переменные в запросах и именах панелей или нет. График зависимостей обеспечивает простой способ проверки зависимостей переменных. Вы можете щелкнуть имя переменной на графике, чтобы при необходимости обновить переменную.

Для получения дополнительной информации см. [Проверка переменных и их зависимостей]({{< relref "../variables/inspect-variable.md">}}).

## Функции Harvest Enterprise

Эти функции включены в редакцию Harvest Enterprise.

### Лицензионные изменения

При определении роли пользователя для целей выставления счетов пользователь, имеющий возможность редактировать и сохранять информационные панели, считается редактором. Это включает любого пользователя, который является редактором или администратором на уровне организации и который предоставил права администратора или редактирования через [разрешения на панель и папку]({{< relref "../permissions/dashboard-folder-permissions.md"> }}).

После того, как количество зрителей или редакторов достигнет предела лицензии, только администраторы увидят баннер в Harvest, указывающий, что предел лицензии достигнут. Раньше баннер видели все пользователи.

Токены лицензии Harvest Enterprise обновляются автоматически ежедневно, что означает, что вам больше не нужно обновлять лицензию вручную, а процесс добавления дополнительных пользователей к лицензии стал более плавным, чем раньше.

См. [Лицензионные ограничения]({{< relref "../enterprise/license/license-restrictions.md" >}}) для получения дополнительной информации.

### Экспорт сведений об использовании в Loki

Теперь вы можете экспортировать журналы статистики использования в Loki и запрашивать их из Harvest. Журналы анализа использования включают посещения панели мониторинга, представления источников данных, запросы и ошибки и многое другое.

Дополнительные сведения см. в разделе [Экспорт журналов статистики использования]({{< relref "../enterprise/usage-insights/export-logs.md" >}}).

### Новые события журнала аудита

Новые события выхода из системы регистрируются в зависимости от того, когда истекает срок действия токена или он отзывается, а также [одиночный выход SAML]({{< relref "../enterprise/saml.md#single-logout" >}}). Поле tokenId было добавлено во все журналы аудита, чтобы помочь понять, из какого сеанса был выполнен выход.

Также добавлен счетчик действий по записи лога аудита с метками статуса (успех/неудача) и логгера (локи/файл/консоль).

[Аудит]({{< relref "../enterprise/auditing.md" >}}) обновлен с учетом этих изменений.

### Отчеты поддерживают Unicode

Теперь вы можете выбрать шрифт, отличный от шрифта по умолчанию, для скриптов на основе Unicode. В результате автоматически сгенерированный PDF-файл информационной панели, содержащий, например, текст на китайском или кириллице, может отображать их. Поскольку размер отчета увеличивается по мере добавления дополнительных шрифтов, эта функция по умолчанию отключена.

[Отчетность]({{< relref "../enterprise/reporting.md#rendering-configuration" >}}) была обновлена ​​в результате этого изменения.

### Запрос безопасности

Безопасность запросов вводит способы ограничения запросов от сервера Harvest и нацелена на запросы, генерируемые пользователями.

Для получения дополнительной информации см. [Запрос безопасности]({{< relref "../enterprise/request-security.md" >}}).

## Критические изменения

Следующие изменения Harvest 7.4 могут нарушить предыдущую функциональность.

### Совместимость с плагинами

Мы обновили AngularJS с версии 1.6.6 до 1.8.2. Из-за этого обновления некоторые старые плагины angular могут перестать работать и потребуют небольшого обновления. Это связано с прекращением поддержки и удалением предварительно назначенных привязок. Поэтому, если ваши пользовательские контроллеры angular ожидают привязки компонентов в конструкторе контроллера, вам необходимо переместить этот код в функцию $onInit. Для получения более подробной информации о переносе An

Код gularJS открывает руководство по миграции и выполняет поиск предварительно назначенных привязок.

Чтобы не сломать все плагины угловых панелей и источники данных, у нас есть некоторое пользовательское поведение угловых инъекций, которое гарантирует, что привязки для этих контроллеров все еще установлены до вызова конструктора, поэтому многие старые угловые плагины панелей и источников данных все еще будут работать.

### Исправляет путаницу с сохранением постоянной переменной

Чтобы свести к минимуму путаницу с использованием константных переменных, мы удалили возможность сделать константные переменные видимыми. Это изменение также перенесет все существующие видимые переменные-константы в переменные текстового поля, потому что мы считаем, что это более подходящий тип переменной для этого варианта использования.

## Обновление

См. [примечания по обновлению]({{< relref "../installation/upgrading.md" >}}).

## Список изменений

Посетите [CHANGELOG.md](https://github.com/harvest/harvest/blob/master/CHANGELOG.md) для получения полного списка новых функций, изменений и исправлений ошибок.
